package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 校园新闻对象 xiaoyuan_notice
 * 
 * @author boman
 * @date 2023-06-05
 */
public class XiaoyuanNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 新闻ID */
    private Integer noticeId;

    /** 新闻缩略图 */
    @Excel(name = "新闻缩略图")
    private String image;

    /** 新闻标题 */
    @Excel(name = "新闻标题")
    private String noticeTitle;

    /** 新闻类型（1系统通知 2代办通知） */
    @Excel(name = "新闻类型", readConverterExp = "1=系统通知,2=代办通知")
    private String noticeType;

    /** 新闻内容 */
    @Excel(name = "新闻内容")
    private String noticeContent;

    /** 新闻状态（0未读 1已读） */
    @Excel(name = "新闻状态", readConverterExp = "0=未读,1=已读")
    private String status;

    /** 隐私种类 0:全部 1:本班 2:仅自己 */
    @Excel(name = "隐私种类 0:全部 1:本班 2:仅自己")
    private String type;

    /** 发件人id */
    @Excel(name = "发件人id")
    private String senderId;

    /** 发件人姓名 */
    @Excel(name = "发件人姓名")
    private String senderName;

    /** 发件人班级id */
    @Excel(name = "发件人班级id")
    private String senderDept;

    public void setNoticeId(Integer noticeId) 
    {
        this.noticeId = noticeId;
    }

    public Integer getNoticeId() 
    {
        return noticeId;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setNoticeTitle(String noticeTitle) 
    {
        this.noticeTitle = noticeTitle;
    }

    public String getNoticeTitle() 
    {
        return noticeTitle;
    }
    public void setNoticeType(String noticeType) 
    {
        this.noticeType = noticeType;
    }

    public String getNoticeType() 
    {
        return noticeType;
    }
    public void setNoticeContent(String noticeContent) 
    {
        this.noticeContent = noticeContent;
    }

    public String getNoticeContent() 
    {
        return noticeContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setSenderId(String senderId) 
    {
        this.senderId = senderId;
    }

    public String getSenderId() 
    {
        return senderId;
    }
    public void setSenderName(String senderName) 
    {
        this.senderName = senderName;
    }

    public String getSenderName() 
    {
        return senderName;
    }
    public void setSenderDept(String senderDept) 
    {
        this.senderDept = senderDept;
    }

    public String getSenderDept() 
    {
        return senderDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("noticeId", getNoticeId())
            .append("image", getImage())
            .append("noticeTitle", getNoticeTitle())
            .append("noticeType", getNoticeType())
            .append("noticeContent", getNoticeContent())
            .append("status", getStatus())
            .append("type", getType())
            .append("senderId", getSenderId())
            .append("senderName", getSenderName())
            .append("senderDept", getSenderDept())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
